<?php

/*
 * ----------------------------------------------------
 * 程序名称: 牛叉广告管理系统(NiuXams)
 * 程序功能: 实现专业的广告投放、管理和统计等管理系统！
 * 程序开发: 牛叉软件(NiuXSoft.com)
 * 版权所有: [NiuXams] (C)2013-2099 NiuXSoft.com
 * 官方网站: www.niuxsoft.com  Email: niuxsoft@163.com
 * ----------------------------------------------------
 * 使用条款:
 * 1.为构建创新型经济社会,请尊重保护知识产权！
 * 2.该软件个人非商业用途免费使用.
 * 3.免费使用禁止修改版权信息和官方推广链接.
 * 4.禁止任何衍生版本.禁止任何非法修改源代码贩卖.
 * ----------------------------------------------------
 */

defined('NIUX_INCLUDED') or exit('Access Denied.');
$upload = htmlspecialchars(inSql($_POST['upload']));
preg_match('/^([0-9a-zA-Z_\/])+$/', $upload) or die("上传目录不能有特殊字符！");
$maxSize = (int) htmlspecialchars(inSql($_POST['maxSize']));
$upType = htmlspecialchars(inSql($_POST['upType']));
preg_match('/^([0-9a-zA-Z\.\|])+$/', $upType) or die("上传文件格式不能有特殊字符！");
if ($upload == $cfg_output)
    die("上传目录不能和输出目录一样！");
if ($upload != $cfg_upload) {
    file_put_contents(ROOT_DIR . $upload . '/install_tapf.php', '<?php echo 1 ?>') or die('测试文件写出错！请检查上传目录名称、权限设置是否正确。');
    unlink(ROOT_DIR . $upload . '/install_tapf.php') or die('测试删除文件出错！请检查上传目录名称、权限设置是否正确。');
    $escape_cfg_amsUrl = urlEscape($cfg_amsUrl);
    $foundStr = $escape_cfg_amsUrl . '/' . $cfg_upload . '/';
    $replaceStr = $escape_cfg_amsUrl . '/' . $upload . '/';
    $query = "UPDATE `${cfg_dbprefix}gg` SET content=REPLACE(content, '$foundStr', '$replaceStr') WHERE content LIKE '%{$foundStr}%';";
    $nxsql->query($query);
    $nxsql->errno && die('更新数据库发生错误： (' . $nxsql->errno . ') ' . $nxsql->error);
    if ($dh = opendir(ROOT_DIR . $cfg_output)) {
        while (($file = readdir($dh)) !== false) {
            if ($file != "." && $file != "..") {
                if ((strpos($file, $cfg_thread . '-') === 0 || strpos($file, $cfg_book . '-') === 0 || strpos($file, $cfg_forum . '-') === 0 || strpos($file, $cfg_bag . '-') === 0) && strpos($file, '.js') !== false) {
                    $dm = insou(file_get_contents(ROOT_DIR . $cfg_output . '/' . $file));
                    if (strpos($dm, $foundStr) !== false) {
                        $dm = str_replace($foundStr, $replaceStr, $dm);
                        file_put_contents(ROOT_DIR . $cfg_output . '/' . $file, $dm) or die('出错啦！无法修改js文件！请检查输出目录名称、权限设置是否正确。');
                    }
                }
            }
        }
        closedir($dh);
    }
}
$config_data = "<?php
defined('NIUX_INCLUDED') or exit('Access Denied.');
\$cfg_upload = '$upload';
\$cfg_maxSize = $maxSize;
\$cfg_upType = '$upType';
";
file_put_contents('./data/config_upload.php', $config_data) or die('更新配置文件出错！请将程序目录和所有文件的文件权限设置属性0755或0777。');
$nxsql->inLog('上传参数修改');
echo 1;
